using System;

internal sealed class Delegate596 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate596 delegate596_1)
	{
		return delegate596_1(object_0);
	}

	public extern Delegate596(object object_0, IntPtr intptr_0);

	static Delegate596()
	{
		Class10.smethod_13(typeof(Delegate596).TypeHandle);
	}

	internal static Delegate596 delegate596_0;
}
